> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Retrieves a list of dbs with status on their imports and exports

GET https://meta.feedonomics.com/api.php/accounts/{account_id}/status

Reference: https://docs.feedonomics.com/developer/api-reference/rest/platform-api/accounts/retrieves-a-list-of-dbs-with-status-on-their-imports-and-exports

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (integer, required) — ID of the account

### Headers

- `x-api-key` (string, required)

## Response

### 200

successful operation

- `list of AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItems`

## Types

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional)
- `name` (string, optional)
- `data_count` (string, optional)
- `db_group_name` (string, optional)
- `import_status` (string, optional)
- `export_status` (string, optional)
- `imports` (list of AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItems, optional)
- `exports` (list of AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItems, optional)

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItems

- `id` (string, optional)
- `file_type` (string, optional)
- `name` (string, optional)
- `load_threshold` (string, optional)
- `cron` (string, optional)
- `file_location` (string, optional)
- `join_type` (string, optional)
- `status` (string, optional)
- `last_log` (AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItemsLastLog, optional)
- `last_successful_log` (AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItemsLastSuccessfulLog, optional)

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItems

- `id` (string, optional)
- `db_id` (string, optional)
- `name` (string, optional)
- `threshold` (string, optional)
- `export_selector` (string, optional)
- `cron` (string, optional)
- `file_name` (string, optional)
- `status` (string, optional)
- `last_log` (AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItemsLastLog, optional)
- `last_successful_log` (AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItemsLastSuccessfulLog, optional)

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItemsLastLog

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsImportsItemsLastSuccessfulLog

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItemsLastLog

### AccountsAccountIdStatusGetResponsesContentApplicationJsonSchemaItemsExportsItemsLastSuccessfulLog

## Examples

**Response**

```json
[
  {
    "id": "73",
    "name": "admin",
    "data_count": "32121",
    "db_group_name": "",
    "import_status": "Unscheduled",
    "export_status": "Issue",
    "imports": [
      {
        "id": "12",
        "file_type": "delimited",
        "name": "small import",
        "load_threshold": "1",
        "file_location": "local",
        "join_type": "product_feed",
        "status": "Unscheduled",
        "last_log": {},
        "last_successful_log": {}
      }
    ],
    "exports": [
      {
        "id": "160840",
        "db_id": "56095",
        "name": "small export",
        "threshold": "0",
        "export_selector": "true",
        "cron": "0 0 * * 0",
        "file_name": "text.csv",
        "status": "Issue",
        "last_log": {
          "data": "json object",
          "db_id": "56095",
          "error_flag": true,
          "export_id": "160840",
          "id": "1008565078",
          "import_id": "0",
          "message": "curl_error",
          "time": "2023-01-29 00:02:53",
          "value": "7"
        },
        "dgqs": {},
        "tags": {}
      },
      {
        "id": "160841",
        "db_id": "56095",
        "name": "small export",
        "threshold": "0",
        "export_selector": "true",
        "cron": "0 0 * * 0",
        "file_name": "text.csv",
        "status": "Issue",
        "last_log": {
          "data": "json object",
          "db_id": "56095",
          "error_flag": true,
          "export_id": "160840",
          "id": "1008565078",
          "import_id": "0",
          "message": "curl_error",
          "time": "2023-01-29 00:02:53",
          "value": "7"
        },
        "last_successful_log": {
          "data": "json object",
          "db_id": "56095",
          "export_id": "160840",
          "id": "526219045",
          "import_id": "0",
          "message": "export_local",
          "time": "2021-08-24 13:38:26",
          "value": "22"
        },
        "dgqs": {},
        "tags": {}
      }
    ]
  }
]
```

**SDK Code**

```python Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
import requests

url = "https://meta.feedonomics.com/api.php/accounts/1/status"

headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
const url = 'https://meta.feedonomics.com/api.php/accounts/1/status';
const options = {
  method: 'GET',
  headers: {'x-api-key': 'x-api-key', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/accounts/1/status"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/accounts/1/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://meta.feedonomics.com/api.php/accounts/1/status")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://meta.feedonomics.com/api.php/accounts/1/status', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/accounts/1/status");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Accounts_retrievesAListOfDbsWithStatusOnTheirImportsAndExports_example
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/accounts/1/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```